From 4f903e068d06a90b83629f1d742f270aa031dc1e Mon Sep 17 00:00:00 2001
From: Nikolas Hermanns <nikolas.hermanns@ericsson.com>
Date: Tue, 13 Dec 2016 13:10:23 +0100
Subject: Add scripts to install apex and install netvirt

Change-Id: I022acf23984a8d1a19a5e6e180178ee1d2e18480
Signed-off-by: Nikolas Hermanns <nikolas.hermanns@ericsson.com>
---
 jjb/3rd_party_ci/create-apex-vms.sh | 12 ++++++------
 jjb/3rd_party_ci/install-netvirt.sh | 12 ++++++------
 2 files changed, 12 insertions(+), 12 deletions(-)

(limited to 'jjb/3rd_party_ci')

diff --git a/jjb/3rd_party_ci/create-apex-vms.sh b/jjb/3rd_party_ci/create-apex-vms.sh
index cb742712b..f35067142 100755
--- a/jjb/3rd_party_ci/create-apex-vms.sh
+++ b/jjb/3rd_party_ci/create-apex-vms.sh
@@ -1,8 +1,8 @@
 #!/bin/bash
-
+set -e
 # clone opnfv sdnvpn repo
-git clone https://gerrit.opnfv.org/gerrit/p/sdnvpn.git
-cd sdnvpn
-ls -al
-
-# here is where the script(s) to bring up apex vms should be executed
+git clone https://gerrit.opnfv.org/gerrit/p/sdnvpn.git $WORKSPACE/sdnvpn
+. $WORKSPACE/sdnvpn/odl-pipeline/odl-pipeline-common.sh
+pushd $LIB
+./test_environment.sh --env-number $APEX_ENV_NUMBER --cloner-info $CLONER_INFO --snapshot-disks $SNAPSHOT_DISKS --vjump-hosts $VIRTUAL_JUMPHOSTS
+popd
\ No newline at end of file
diff --git a/jjb/3rd_party_ci/install-netvirt.sh b/jjb/3rd_party_ci/install-netvirt.sh
index 041d8517e..96c4b9634 100755
--- a/jjb/3rd_party_ci/install-netvirt.sh
+++ b/jjb/3rd_party_ci/install-netvirt.sh
@@ -1,8 +1,8 @@
 #!/bin/bash
-
+set -e
 # clone opnfv sdnvpn repo
-git clone https://gerrit.opnfv.org/gerrit/p/sdnvpn.git
-cd sdnvpn
-ls -al
-
-# here is where the script(s) to install netvirt should be executed
+git clone https://gerrit.opnfv.org/gerrit/p/sdnvpn.git $WORKSPACE/sdnvpn
+. $WORKSPACE/sdnvpn/odl-pipeline/odl-pipeline-common.sh
+pushd $LIB
+./odl_reinstaller.sh --cloner-info $CLONER_INFO --odl-artifact $NETVIRT_ARTIFACT
+popd
\ No newline at end of file
-- 
cgit